package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ConvenioTramo;

public class RenderConvenioTramo implements ListitemRenderer {
	
    public void render(Listitem lstm, Object convenioTramoSelected) throws Exception {
    	
    	Listcell lc = new Listcell();
    	
    	if(convenioTramoSelected != null) {
            ConvenioTramo convenioTramo = (ConvenioTramo) convenioTramoSelected;

            lc = new Listcell(convenioTramo.getParadaOrigem()  != null ? convenioTramo.getParadaOrigem().getDescparada()  : "");
            lc.setParent(lstm);
            lc = new Listcell(convenioTramo.getParadaDestino() != null ? convenioTramo.getParadaDestino().getDescparada() : "");
            lc.setParent(lstm);
            lstm.setAttribute("data", convenioTramo);
    	}
    }
}